Loading...
Searching...
No Matches
Gfx::ModelTriangle Struct Reference

A single triangle in mesh as saved in model file. More...

`#include <src/graphics/model/model_triangle.h>`

Inheritance diagram for Gfx::ModelTriangle:
[legend]

## Public Attributes

VertexTex2 | p1
| 1st vertex
VertexTex2 | p2
| 2nd vertex
VertexTex2 | p3
| 3rd vertex
Color | diffuse
| Diffuse color.
Color | ambient
| Ambient color.
Color | specular
| Specular color.
std::string | tex1Name
| Name of 1st texture.
std::string | tex2Name
| Name of 2nd texture.
bool | variableTex2 = false
| If true, 2nd texture will be taken from current engine setting.
bool | doubleSided = false
| Whether to render as double-sided surface.
ModelTransparentMode | transparentMode = ModelTransparentMode::None
| How to deal with texture transparency.
ModelSpecialMark | specialMark = ModelSpecialMark::None
| Special marking.

## Detailed Description

A single triangle in mesh as saved in model file.

## Member Data Documentation

## p1

VertexTex2 Gfx::ModelTriangle::p1

1st vertex

## p2

VertexTex2 Gfx::ModelTriangle::p2

2nd vertex

## p3

VertexTex2 Gfx::ModelTriangle::p3

3rd vertex

## diffuse

Color Gfx::ModelTriangle::diffuse

Diffuse color.

## ambient

Color Gfx::ModelTriangle::ambient

Ambient color.

## specular

Color Gfx::ModelTriangle::specular

Specular color.

## tex1Name

std::string Gfx::ModelTriangle::tex1Name

Name of 1st texture.

## tex2Name

std::string Gfx::ModelTriangle::tex2Name

Name of 2nd texture.

## variableTex2

bool Gfx::ModelTriangle::variableTex2 = false

If true, 2nd texture will be taken from current engine setting.

## doubleSided

bool Gfx::ModelTriangle::doubleSided = false

Whether to render as double-sided surface.

## transparentMode

ModelTransparentMode Gfx::ModelTriangle::transparentMode = ModelTransparentMode::None

How to deal with texture transparency.

## specialMark

ModelSpecialMark Gfx::ModelTriangle::specialMark = ModelSpecialMark::None

Special marking.

The documentation for this struct was generated from the following file:

- src/graphics/model/model_triangle.h